Pagos y finanzasPagos
Capturar pago
POST
/v1/payments/{paymentTransactionId}/captureCapturar pago. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.
Autorización
bearerAuth AutorizaciónBearer <token>
Token de acceso OAuth 2.0 emitido por Ecomiq Auth.
Ubicación: header
Parámetros de ruta
paymentTransactionId*string
Parámetros de cabecera
x-Store-Id?string
Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.
Cuerpo de la respuesta
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/payments/7204558912004325301/capture" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "transactionId": "7204558912004325301", "status": "pending", "isCaptured": false, "paymentMethodCode": "example_code", "code": "example_code", "cardType": "example", "amount": 1, "reference": "example", "providerId": "7204558912004325301", "publicConfiguration": { "key": "example" }, "clientSecret": "replace_with_a_random_secret", "checkoutUrl": "https://example.com/resource", "checkoutHtml": "example", "qrCode": "example_code", "receiptUrl": "https://example.com/resource", "expiresAt": "2026-08-01T15:30:00Z", "actionKind": "none"}